package pl.alx.ping;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.drawable.Drawable;
import android.view.MotionEvent;
import android.view.View;

public class GraView extends View {

	private LogikaGry logika;
	Paint p = new Paint();
	private float katPilki;

	public GraView(Context context) {
		super(context);
	}
	
	public void setLogika(LogikaGry logika) {
		this.logika = logika;
	}

	@Override
	public boolean onTouchEvent(MotionEvent event) {
		int x = (int) event.getX();
		logika.paletka = x;
		return true;
	}

	@Override
	protected void onDraw(Canvas canvas) {
		int w = getWidth();
		int h = getHeight();
		logika.dzialaj(w, h);
		Drawable tlo = getResources().getDrawable(R.drawable.tlo);
		Drawable pilka = getResources().getDrawable(R.drawable.czacha);
		Drawable paletka = getResources().getDrawable(R.drawable.paletka);
		pilka.setBounds(0,0,28,28);
		tlo.setBounds(0,0,w,h);
		paletka.setBounds(0,0,60,10);
		tlo.draw(canvas);
		canvas.save();
		canvas.translate(logika.pilkaX, logika.pilkaY);
		canvas.rotate(katPilki, 28/2, 28/2);
		katPilki += 5;
		pilka.draw(canvas);
		canvas.restore();
		canvas.save();
		canvas.translate(logika.paletka, h-10);
		paletka.draw(canvas);
		canvas.restore();
		invalidate();
		p.setColor(Color.WHITE);
		canvas.drawText("punkty: " + logika.punkty, 40, 40, p);
	}
}
